## ros-kinetic-katana-arm-gazebo 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(katana_arm_gazebo)

find_package(gazebo REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  gazebo_ros
  urdf
  xacro
  robot_state_publisher
  katana_description
  controller_manager
  katana_gazebo_plugins
  joint_trajectory_controller
  actionlib
  controller_manager_msgs
  std_msgs
)

catkin_package(
  INCLUDE_DIRS
  LIBRARIES
  CATKIN_DEPENDS
  roscpp
  gazebo_ros
  urdf
  xacro
  robot_state_publisher
  katana_description
  controller_manager
  katana_gazebo_plugins
  joint_trajectory_controller
  actionlib
  controller_manager_msgs
  std_msgs
  DEPENDS
)

include_directories(${catkin_INCLUDE_DIRS} ${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})

add_executable(min_max_trajectory src/min_max_trajectory.cpp)
target_link_libraries(min_max_trajectory ${catkin_LIBRARIES})
add_dependencies(min_max_trajectory ${catkin_EXPORTED_TARGETS})

install(TARGETS min_max_trajectory
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY scripts DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY worlds DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-katana-arm-gazebo (1.1.2-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.1.1-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.1.0-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.8-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.7-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Fri, 10 Feb 2017 23:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.6-0xenial) xenial; urgency=high

  * Initial release to Kinetic
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 26 Jan 2017 23:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.5-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 11 Apr 2016 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.4-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.3-0xenial) xenial; urgency=high

  * remove dependencies to non-existing cmake targets
  * find_package gazebo instead of using PkgConfig
  * Contributors: Michael Görner

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 28 Jun 2015 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.2-0xenial) xenial; urgency=high

  * gazebo urdfs: remove self_collide tags
    Due to fixed joint reduction, there is only one link in the resulting
    SDF anyway, so there is nothing to collide with. Apart from that, this
    never made any sense for static models anyway.
  * self_collide false for tall table
    The links of the table are statically connected.
    There's no need for collision checking here.
    gazebo5 raises a warning because the self_collide statements
    were inconsistent (not all specified) before.
  * Contributors: Martin Günther, Michael Görner

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Tue, 05 May 2015 22:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.1-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-katana-arm-gazebo (1.0.0-0xenial) xenial; urgency=high

  * Initial release to Debian packages
  * Contributors: Martin Günther, Henning Deeken, Jochen Sprickerhof, Michael Görner, André Potenza, Karl Glatz

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 15 Mar 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-katana-arm-gazebo
Section: misc
Priority: extra
Maintainer: Martin Günther <mguenthe@uni-osnabrueck.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-controller-manager, ros-kinetic-controller-manager-msgs, ros-kinetic-gazebo-ros, ros-kinetic-joint-trajectory-controller, ros-kinetic-katana-description, ros-kinetic-katana-gazebo-plugins, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://ros.org/wiki/katana_arm_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-katana-arm-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-controller-manager, ros-kinetic-controller-manager-msgs, ros-kinetic-gazebo-ros, ros-kinetic-joint-trajectory-controller, ros-kinetic-katana-description, ros-kinetic-katana-gazebo-plugins, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Description: This package starts a Neuronics Katana robot arm in the Gazebo simulation environment.
 It is modeled after the pr2_arm_gazebo package by John Hsu.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-katana-arm-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
